Overview | Package | Class | Tree | Deprecated | Index | Help
| SOA © 2004 SoS Group All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sos.koa
Class CandidateListXMLReader

    java.lang.Object
      sos.koa.AbstractObjectReader
          sos.koa.CandidateListXMLReader

All Implemented Interfaces:
  org.xml.sax.XMLReader

public class CandidateListXMLReader
extends AbstractObjectReader

XMLReader implementation for the CandidateList class. This class is used to generate SAX events from the CandidateList class.

Version:
  $Id: CandidateListXMLReader.java,v 1.10 2004/05/14 14:42:03 hubbers Exp $
Author:
  Engelbert Hubbers (hubbers@cs.kun.nl)

Field Summary

Fields inherited from class sos.koa.AbstractObjectReader
`errorHandler, handler`

Constructor Summary
`CandidateListXMLReader()`

Method Summary
`protected void` | `generateFor(CandidateList candidates)` Generates SAX events for a CandidateList object.
`void` | `parse(CandidateList candidates)` Starts parsing the CandidateList object.
`void` | `parse(org.xml.sax.InputSource input)`

Methods inherited from class sos.koa.AbstractObjectReader
`getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getProperty, isNamespacePrefixes, isNamespaces, parse, setContentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CandidateListXMLReader

    public CandidateListXMLReader()

Method Detail

### parse

    public void parse(org.xml.sax.InputSource input)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Specified by:
    `parse` in class `AbstractObjectReader`
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`
  See Also:
    `XMLReader.parse(InputSource)`

### parse

    public void parse(CandidateList candidates)
               throws org.xml.sax.SAXException

  Starts parsing the CandidateList object.

  Parameters:
    `candidates` - The object to parse
  Throws:
    `org.xml.sax.SAXException` - In case of a problem during SAX event generation

### generateFor

    protected void generateFor(CandidateList candidates)
                        throws org.xml.sax.SAXException

  Generates SAX events for a CandidateList object.

  Parameters:
    `candidates` - CandidateList object to use
  Throws:
    `org.xml.sax.SAXException` - In case of a problem during SAX event generation

Overview | Package | Class | Tree | Deprecated | Index | Help
| SOA © 2004 SoS Group All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD